Bug 137272 - ccs needs error reporting
Summary: ccs needs error reporting
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-27 04:16 UTC by David Teigland
Modified: 2010-01-12 03:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 06:21:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Teigland 2004-10-27 04:16:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
The most common problem users have is ccs failing to work properly.
This is a typical message:
https://www.redhat.com/archives/linux-cluster/2004-October/msg00234.html

We (or ideally users themselves) need a way to figure out what's wrong
when things don't work at this level.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. none
2.
3.
    

Additional info:

Comment 1 Kiersten (Kerri) Anderson 2004-11-16 19:12:36 UTC
Updating version to the right level in the defects.  Sorry for the storm.

Comment 2 Jonathan Earl Brassow 2004-11-17 17:11:46 UTC
there was a log_msg that should have been a log_err, that would have
helped determine the problem listed in the original post.

That has been fixed.
http://sources.redhat.com/cgi-bin/cvsweb.cgi/cluster/ccs/daemon/cnx_mgr.c.diff?r1=1.16&r2=1.17&cvsroot=cluster&f=h

Additional information that would have been useful would have come
from magma (it could find no plugins).


Comment 3 Jonathan Earl Brassow 2004-12-22 23:13:45 UTC
log_msg now prints out all the time.

It is up to the user to ignore LOG_NOTICE from syslog if they don't
want to see these.



Note You need to log in before you can comment on or make changes to this bug.